## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToWikiConverter

### Document::ezcDocumentDocbookToWikiConverter

### Class ezcDocumentDocbookToWikiConverter

Converter for docbook to Wiki with a PHP callback based mechanism, for fast and easy PHP based extensible transformations.

Source for this file: /Document/src/converters/element_visitor/docbook_wiki.php

    ezcDocumentConverter
       |
       --ezcDocumentElementVisitorConverter
          |
          --ezcDocumentDocbookToWikiConverter

Version: | //autogen//

### Member Variables

public static int | `$indentation` Current indentation document.
public static int | `$wordWrap` Maximum number of characters per line.

### Inherited Member Variables

From ezcDocumentElementVisitorConverter
protected | `ezcDocumentElementVisitorConverter::$defaultNamespace`
protected | `ezcDocumentElementVisitorConverter::$storage`
protected | `ezcDocumentElementVisitorConverter::$visitorElementHandler`
From ezcDocumentConverter
protected | `ezcDocumentConverter::$options`
protected | `ezcDocumentConverter::$properties`

### Method Summary

public static string | `escapeWikiText( $string )` Escape RST text
public static string | `wordWrap( $text , [ $indentation = 0] )` Wrap given text
public void | `__construct( [ $options = null] )` Construct converter.
protected ezcDocumentDocument | `createDocument( $content )` Create document from structure
protected string | `finishDocument( $root )` Finish document
protected mixed | `initializeDocument( )` Initialize destination document
protected mixed | `visitText( $node , $root )` Visit text node.

### Inherited Methods

From ezcDocumentElementVisitorConverter
public ezcDocumentDocument | `ezcDocumentElementVisitorConverter::convert()` Convert documents between two formats
protected abstract ezcDocumentDocument | `ezcDocumentElementVisitorConverter::createDocument()` Create document from structure
protected abstract mixed | `ezcDocumentElementVisitorConverter::initializeDocument()` Initialize destination document
public void | `ezcDocumentElementVisitorConverter::setElementHandler()` Set custom element handler
public mixed | `ezcDocumentElementVisitorConverter::visitChildren()` Recursively visit children of a document node.
protected void | `ezcDocumentElementVisitorConverter::visitElement()` Visit DOMElement nodes.
public mixed | `ezcDocumentElementVisitorConverter::visitNode()` Visit a single document node
protected abstract mixed | `ezcDocumentElementVisitorConverter::visitText()` Visit text node.
From ezcDocumentConverter
public ezcDocumentConverter | `ezcDocumentConverter::__construct()` Construct new document
public abstract ezcDocument | `ezcDocumentConverter::convert()` Convert documents between two formats
public array | `ezcDocumentConverter::getErrors()` Return list of errors occured during visiting the document.
public void | `ezcDocumentConverter::triggerError()` Trigger parser error

### Methods

#### escapeWikiText

static string escapeWikiText( string $string )

Escape RST text

##### Parameters:

Name | Type | Description
--- | --- | ---
`$string` | string |

#### wordWrap

static string wordWrap( string $text , [int $indentation = 0] )

Wrap given text

Wrap the given text to the line width specified in the converter options, with an optional indentation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$text` | string |
`$indentation` | int |

#### __construct

void __construct( [ezcDocumentDocbookToWikiConverterOptions $options = null] )

Construct converter.

Construct converter from XSLT file, which is used for the actual.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDocumentDocbookToWikiConverterOptions |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentConverter::__construct()` | Construct new document

#### createDocument

ezcDocumentDocument createDocument( mixed $content )

Create document from structure

Build a ezcDocumentDocument object from the structure created during the visiting process.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$content` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::createDocument()` | Create document from structure

#### finishDocument

string finishDocument( string $root )

Finish document

Append the footnotes and citations to the end of the document. The footnotes are embedded directly in the text in docbook, aggregated during the processing of the document, and displayed at the bottom of the RST document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$root` | string |

#### initializeDocument

mixed initializeDocument( )

Initialize destination document

Initialize the structure which the destination document could be build with. This may be an initial DOMDocument with some default elements, or a string, or something else.

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::initializeDocument()` | Initialize destination document

#### visitText

mixed visitText( $node , mixed $root )

Visit text node.

Visit a text node in the source document and transform it to the destination result

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | DOMText |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::visitText()` | Visit text node.

Documentation generated by phpDocumentor 1.4.3